import { BucketDeployment } from '@aws-cdk/aws-s3-deployment';
import { Construct } from '@aws-cdk/core';
import { CategoryStackMapping } from './types/category-stack-mapping';
import { ExportManifest } from './types/export-manifest';
import { ExportTag } from './types/export-tags';
/**
 * Contains all the utility functions
 * @internal
 */
export declare class BaseAmplifyExportedBackend extends Construct {
    /**
     * @stability stable
     */
    protected categoryStackMappings: CategoryStackMapping[];
    /**
     * @stability stable
     */
    protected exportPath: string;
    /**
     * @stability stable
     */
    protected exportBackendManifest: ExportManifest;
    /**
     * @stability stable
     */
    protected exportTags: ExportTag[];
    /**
     * @stability stable
     */
    protected auxiliaryDeployment?: BucketDeployment;
    /**
     * @stability stable
     */
    protected env?: string;
    constructor(scope: Construct, id: string, exportPath: string, stage?: string);
    /**
     * @stability stable
     */
    protected findResourceForNestedStack(category: string, service: string, resourceName?: string): CategoryStackMapping;
    /**
     * @stability stable
     */
    protected filterCategory(category: string, service?: string, resourceName?: string): CategoryStackMapping[];
    /**
     * @stability stable
     */
    protected getExportedDataFromFile<T>(fileName: string): T;
    private modifyEnv;
    private updatePropsToIncludeEnv;
}
