import { CfnInclude } from '@aws-cdk/cloudformation-include';
import { Construct, Stack } from '@aws-cdk/core';
import { CategoryStackMapping } from '../types/category-stack-mapping';
import { ExportManifest } from '../types/export-manifest';
/**
 * @internal
 */
export interface AmplifyExportAssetHandlerProps {
    exportManifest: ExportManifest;
    categoryStackMapping: CategoryStackMapping[];
    env: string;
    backendPath: string;
}
/**
 * @internal
 */
export declare class AmplifyExportAssetHandler extends Construct {
    private deploymentBucket;
    private exportManifest;
    private categoryStackMapping;
    private categoryStackWithDeployment;
    private exportPath;
    private rootStack;
    private env?;
    private auxiliaryDeployment;
    constructor(scope: Stack, id: string, props: AmplifyExportAssetHandlerProps);
    private referenceDeploymentBucket;
    createAssetsAndUpdateParameters(): ExportManifest;
    setDependencies(include: CfnInclude): void;
    private createAuxiliaryFileAsset;
    private uploadInteractionsLexZip;
    private uploadLambdaZip;
    private uploadLambdaLayerZips;
    private uploadAppSyncFiles;
    private uploadAuthTriggerFiles;
    private validateFilesAndReturnPath;
}
