import { CfnApiKey, CfnGraphQLSchema, CfnGraphQLApi } from '@aws-cdk/aws-appsync';
import { IncludedNestedStack } from '@aws-cdk/cloudformation-include';
import { BaseIncludedStack } from '../base-included-stack';
/**
 * @stability stable
 */
export declare class APIGraphQLIncludedNestedStack extends BaseIncludedStack {
    /**
     * @returns Appsync Api Key {CfnApiKey} of the auth stack
     * @stability stable
     * @throws {CfnResourceNotFoundError} if not found
     */
    appSyncAPIKey(): CfnApiKey;
    /**
     * @returns of the api stack
     * @stability stable
     * @throws {CfnResourceNotFoundError} if not found
     */
    graphQLSchema(): CfnGraphQLSchema;
    /**
     * @returns of the api stack
     * @stability stable
     * @throws {CfnResourceNotFoundError} if not found
     */
    graphQLAPI(): CfnGraphQLApi;
    /**
     * @param tableName is the model name in your Graph QL API.
     * @returns return nested stack
     * @stability stable
     */
    modelNestedStack(tableName: string): IncludedNestedStack;
}
