import { CfnDeployment, CfnRestApi } from '@aws-cdk/aws-apigateway';
import { IncludedNestedStack } from '@aws-cdk/cloudformation-include';
import { BaseIncludedStack } from '../base-included-stack';
/**
 * @stability stable
 */
export declare class APIRestIncludedStack extends BaseIncludedStack {
    /**
     * @stability stable
     */
    resourceName: string;
    /**
     * @stability stable
     */
    constructor(includedStack: IncludedNestedStack, resourceName: string);
    /**
     * Gets the RestApi of the API stack.
     *
     * @returns
     * @stability stable
     */
    restAPI(): CfnRestApi;
    /**
     * Gets the Deployment of the Rest API.
     *
     * @returns
     * @stability stable
     */
    apiDeployment(): CfnDeployment;
}
