import { CfnUserPool, CfnIdentityPool } from '@aws-cdk/aws-cognito';
import { BaseIncludedStack } from '../base-included-stack';
/**
 * @stability stable
 */
export interface ProviderCredential {
    /**
     * @stability stable
     */
    readonly providerName: 'Facebook' | 'Google' | 'LoginWithAmazon';
    /**
     * @stability stable
     */
    readonly clientId: string;
    /**
     * @stability stable
     */
    readonly clientSecret: string;
}
/**
 * @stability stable
 */
export declare class AuthIncludedNestedStack extends BaseIncludedStack {
    /**
     * @stability stable
     */
    hostedUiProviderCredentials(credentials: ProviderCredential[]): void;
    /**
     * @returns of the auth stack
     * @stability stable
     */
    userPool(): CfnUserPool;
    /**
     * @returns Cognito UserPool {CfnUserPool} of the auth stack
     * @stability stable
     * @throws {}
     */
    identityPool(): CfnIdentityPool;
}
